Bug 99060 - Some deadkeys don't work properly when using us_international layout
Some deadkeys don't work properly when using us_international layout
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-07-13 10:53 EDT by Osmani Gomez
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-01 01:48:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Osmani Gomez 2003-07-13 10:53:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
When setting the keyboard layout to us_international, I can't type the double-quota.
Usually if I press the double-quota+space I should get it ( " ) like the single quota, instead I get the diaeresis ( ¨ ).  I have a problem also with typing the cedille(for French), to get the cedille I used the single quote( ' ) + the key (c), and instead of the cedille( ç ) I get ć.
BTW I entered the  " and the ç using the character selector, it's the only way I have now to use them. The double-quote is more important than the cedille but I think it should happen for the same reason, I guess should related to the symbol map in us_intl

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Set the keyboard to us_intl
2.Try the " + space in an editor, konsole,...

Actual Results:  I get ¨

Expected Results:  I should get "

Additional info:
Comment 1 Brent Fox 2003-07-18 17:30:43 EDT
I'm going to change the component to XFree86, since that's where the actual
keymaps come from.

Hmm...on my RHL 9 box here the behavior I see:
1) In an xterm, I run the command "setxkbmap us_intl".  That loads the keymap
2) When I press the (') key twice I see (´).
3) When I press the (') key and then the (e) key, I see (é)
4) When I press the (Shift) + (') key and then the (e) key, I see (ë).
5) When I press the (Shift) + (') key and then the (Shift) + (') key again, I
see (¨).

That looks like the correct behavior to me, but it looks different than what you
are seeing.

What version of XFree86 are you running?  Run 'rpm -q XFree86' to find out.
Comment 2 Osmani Gomez 2003-07-19 11:44:07 EDT
I am running XFree86-4.3.0-2. 
After more searching, I solve part of the problem, the double quote, but not the cedille. 
There was not problem with the single quote(') and accented letters. The problem was with the 
double quote(") and the cedille(ç). 
If you press the (Shift) + (') key and then the space you should get the ASCII double quote("), 
not the diaeresis(or umlaut) (¨), so I had no way to get the ASCII double quote than with the 
Character Selector. 
I solve the double quote, by changing one line (the 26) in the file:  
The original line was: 
<dead_diaeresis> <space>		: "¨"	diaeresis 
and I replaced by: 
<dead_diaeresis> <space>		: "\""	quotedbl 
So to get the double quote(ASCII) : 
I press the (Shift) + (') key and then the space, and I get the ("). Before I got the (¨). 
But the cedille still it doesn't work.  
If I press (') key and then the key (c), I should get the cedille (ç), but I get (ć). 
Comment 3 Mike A. Harris 2004-10-01 01:48:56 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.